Remixpoint

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/remixpoint/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/remixpoint/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1776902400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://contents.xj-storage.jp/xcontents/AS08938/328ce5e8/085d/4c54/8102/0b9e41156b5a/140120260422508270.pdf",
    "holding_balance": 1431.32951101,
    "holding_net_change": 20.03,
    "transaction_value_usd": 1564662.19,
    "average_entry_value_usd": 78111.26,
    "transaction_value_calculated": false
  },
  {
    "date": 1776988800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://contents.xj-storage.jp/xcontents/AS08938/13e2b617/b90d/4d5f/9f7d/a4945428ef1b/140120260423509612.pdf",
    "holding_balance": 1451.29361149,
    "holding_net_change": 19.96,
    "transaction_value_usd": 1564666.0,
    "average_entry_value_usd": 78373.98,
    "transaction_value_calculated": false
  },
  {
    "date": 1777334400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://contents.xj-storage.jp/xcontents/AS08938/df8ce899/32d0/4a5e/9e7f/0d06c28969bf/140120260427512319.pdf",
    "holding_balance": 1471.01824145,
    "holding_net_change": 19.72,
    "transaction_value_usd": 1564666.0,
    "average_entry_value_usd": 79325.49,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/remixpoint/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1471.01824145
  ],
  [
    1779062400000,
    1471.01824145
  ],
  [
    1779148800000,
    1471.01824145
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/remixpoint/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    113900736.4929197
  ],
  [
    1779062400000,
    113186424.745054
  ],
  [
    1779148800000,
    112915374.9238844
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/remixpoint/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/remixpoint/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/remixpoint/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/remixpoint/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.007,
  "share_price_change_state": "down"
}